UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Contributor
Contributor
426 Views
Registered: ‎01-23-2018

Error while building Linux image with PetaLinux

Hi,

I'm trying to build a Linux image for Zynq with PetaLinux 2016.4 on Ubuntu 18.04, but PetaLinux fails after petalinux-build command, and it returns me an error related to libyaml and do_configure, in particular the following:

No real function for mknod: /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/sysroots/x86_64-linux/usr/bin/../lib/pseudo/lib64/libpseudo.so: undefined symbol: mknod
No real function for mknodat: /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/sysroots/x86_64-linux/usr/bin/../lib/pseudo/lib64/libpseudo.so: undefined symbol: mknodat
No real function for mknod: /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/sysroots/x86_64-linux/usr/bin/../lib/pseudo/lib64/libpseudo.so: undefined symbol: mknod
No real function for mknodat: /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/sysroots/x86_64-linux/usr/bin/../lib/pseudo/lib64/libpseudo.so: undefined symbol: mknodat
No real function for mknod: /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/sysroots/x86_64-linux/usr/bin/../lib/pseudo/lib64/libpseudo.so: undefined symbol: mknod
No real function for mknodat: /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/sysroots/x86_64-linux/usr/bin/../lib/pseudo/lib64/libpseudo.so: undefined symbol: mknodat
No real function for mknod: /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/sysroots/x86_64-linux/usr/bin/../lib/pseudo/lib64/libpseudo.so: undefined symbol: mknod
ERROR: libyaml-native-0.1.6-r0 do_configure: Function failed: do_configure (log file is located at /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/work/x86_64-linux/libyaml-native/0.1.6-r0/temp/log.do_configure.16068)
ERROR: Logfile of failure stored in: /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/work/x86_64-linux/libyaml-native/0.1.6-r0/temp/log.do_configure.16068
Log data follows:
| DEBUG: Executing python function sysroot_cleansstate
| DEBUG: Python function sysroot_cleansstate finished
| DEBUG: Executing shell function autotools_preconfigure
| DEBUG: Shell function autotools_preconfigure finished
| DEBUG: Executing python function autotools_copy_aclocals
| DEBUG: SITE files ['endian-little', 'common-linux', 'common-glibc', 'bit-64', 'x86_64-linux', 'common']
| DEBUG: Python function autotools_copy_aclocals finished
| DEBUG: Executing shell function do_configure
| Unescaped left brace in regex is illegal here in regex; marked by <-- HERE in m/\${ <-- HERE ([^ \t=:+{}]+)}/ at /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/sysroots/x86_64-linux/usr/bin/automake line 3939.
| Unescaped left brace in regex is illegal here in regex; marked by <-- HERE in m/\${ <-- HERE ([^ \t=:+{}]+)}/ at /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/sysroots/x86_64-linux/usr/bin/automake line 3939.
| WARNING: exit code 255 from a shell command.
| ERROR: Function failed: do_configure (log file is located at /home/gian/Documenti/HiPeRTLab/PetaLinux-workspace/ZynqLinux/build/tmp/work/x86_64-linux/libyaml-native/0.1.6-r0/temp/log.do_configure.16068)
ERROR: Task 1464 (virtual:native:/storage/Programmi/PetaLinux/components/yocto/source/arm/layers/poky/meta/recipes-support/libyaml/libyaml_0.1.6.bb, do_configure) failed with exit code '1'

how can I solve this problem?
thanks

0 Kudos
4 Replies
Explorer
Explorer
394 Views
Registered: ‎10-21-2015

Re: Error while building Linux image with PetaLinux

Hi

According to page 8(Installation Requirements) in

https://www.xilinx.com/support/documentation/sw_manuals/xilinx2016_4/ug1144-petalinux-tools-reference-guide.pdf,

Ubuntu 18.04 is not supported OS

0 Kudos
Newbie ansel
Newbie
337 Views
Registered: ‎11-19-2018

Re: Error while building Linux image with PetaLinux

Bullshitttttttttttttttttt!
0 Kudos
Visitor mansur
Visitor
174 Views
Registered: ‎10-19-2018

Re: Error while building Linux image with PetaLinux

Hello,

Did you find a solution to this problem other than installing Ubuntu 16.04

Thanks,

Mansur

0 Kudos
Moderator
Moderator
160 Views
Registered: ‎04-24-2017

Re: Error while building Linux image with PetaLinux

Hi @ansel,

This is not something PetaLinux can support until open source Yocto supports https://www.xilinx.com/support/answers/71448.html

Thanks,
Sandeep
PetaLinux Yocto | Embedded SW Support

---------------------------------------------------------------------------
Don’t forget to Reply, Kudo, and Accept as Solution.
---------------------------------------------------------------------------
0 Kudos